nvme_mi_admin_fw_commit(2)

NAME
nvme_mi_admin_fw_commit - Commit firmware using the specified action

SYNOPSIS
int nvme_mi_admin_fw_commit (nvme_mi_ctrl_t ctrl , struct nvme_fw_commit_args *args );

ARGUMENTS

ctrl
    Controller to send firmware data to

args
    struct nvme_fw_download_args argument structure

DESCRIPTION
The Firmware Commit command modifies the firmware image or Boot Partitions.

RETURN
0 on success, non-zero on failure